
Infrastructure - Task #2570

Task # 824 (Closed): CN replica auditing

Task # 1817 (Closed): Implement scheduled replica auditing

Audit task processing

2012-04-02 20:23 - Skye Roseboom

Status: Closed Start date: 2012-04-02

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_replication Estimated time: 0.00 hour

Target version:    

Milestone: CCI-1.4 Story Points:  

Product Version: 1.4.0   

Description

Processing of audit replication tasks.   Will likely integrate with hzAuditTaskQueue as source of audit tasks to process.

Auditing processing:

1.) Verify checksum. - create and queue replication task if not correct?

2.) Verify number of replicas matches policy. Create and queue ReplicationTask is unfulfilled.

3.) Check replication status - needs implementation detail.

History

#1 - 2012-04-02 20:40 - Skye Roseboom

- Subject changed from Implementation of audit task processing to Audit task processing

#2 - 2012-06-26 18:27 - Skye Roseboom

- Milestone changed from CCI-1.0.0 to CCI-1.2

#3 - 2012-10-05 15:18 - Chris Jones

- Target version set to Sprint-2012.41-Block.6.1

#4 - 2012-10-24 18:12 - Skye Roseboom

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.46-Block.6.3

#5 - 2012-12-04 14:31 - Robert Waltz

- Target version changed from Sprint-2012.46-Block.6.3 to 2013.2-Block.1.1

#6 - 2013-03-01 19:06 - Chris Jones

- Target version changed from 2013.2-Block.1.1 to 2013.14-Block.2.3

#7 - 2013-03-25 15:17 - Skye Roseboom

- Status changed from New to In Progress

#8 - 2013-04-01 20:51 - Skye Roseboom

- Status changed from In Progress to Testing

Replica auditing for MN and CN replicas are encapsulated in MemberNodeReplicaAuditingStrategy and CoordinatingNodeReplicaAuditingStrategy

classes respectively.
#9 - 2013-05-15 15:10 - Skye Roseboom

- Target version changed from 2013.14-Block.2.3 to 2013.18-Block.3.1

#10 - 2013-05-15 15:12 - Skye Roseboom

- Target version changed from 2013.18-Block.3.1 to 2013.20-Block.3.2

#11 - 2013-08-02 17:26 - Skye Roseboom

- Target version changed from 2013.20-Block.3.2 to 2013.33-Block.4.4

#12 - 2013-09-11 16:50 - Skye Roseboom

- Target version changed from 2013.33-Block.4.4 to 2013.37-Block.5.2

#13 - 2014-01-06 22:55 - Robert Waltz

- Target version changed from 2013.37-Block.5.2 to 2014.6-Block.1.3

#14 - 2014-03-14 18:27 - Robert Waltz

- Target version deleted (2014.6-Block.1.3)

#15 - 2014-03-14 18:45 - Robert Waltz

- Target version set to 2014.14-Block.2.3

#16 - 2014-03-14 18:45 - Robert Waltz

- Target version changed from 2014.14-Block.2.3 to 2014.16-Block.2.4

#17 - 2014-05-05 21:48 - Skye Roseboom

- Target version changed from 2014.16-Block.2.4 to 2014.22-Block.3.3

#18 - 2014-07-31 21:57 - Robert Waltz

- Target version deleted (2014.22-Block.3.3)

#19 - 2014-07-31 22:45 - Robert Waltz

- Product Version set to 1.4.0

- Milestone changed from CCI-1.2 to CCI-1.4

#20 - 2014-09-11 15:45 - Skye Roseboom

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from Testing to Closed
